summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorErick Cafferata <erick@cafferata.me>2019-01-19 20:30:16 -0500
committerDave Reisner <d@falconindy.com>2019-01-19 21:10:11 -0500
commita06ffad5fdd90d5d28611732ef22a02d5760e7c9 (patch)
treeff70ab1c37d32e36ab25376b665390c45ec3d32a
parent7f0dbcf2c601dec4806906006a1b18d2f23231ab (diff)
downloadasp32-a06ffad5fdd90d5d28611732ef22a02d5760e7c9.tar.xz
change to git-show for condition check
fixup: 0a6a4d0 Use exit status rather than string emptiness - git-ls always returns 0 as exit status, so it can't be used as a check. git-show does return an error status.
-rw-r--r--package.inc.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/package.inc.sh b/package.inc.sh
index 66a83c6..360e41f 100644
--- a/package.inc.sh
+++ b/package.inc.sh
@@ -135,7 +135,7 @@ package_export() {
subtree=repos/$repo-$OPT_ARCH
fi
- if ! git ls-tree "remotes/$remote/packages/$pkgname" "$subtree/" &>/dev/null; then
+ if ! git show "remotes/$remote/packages/$pkgname:$subtree/" &>/dev/null; then
if [[ $repo ]]; then
log_error "package '%s' not found in repo '%s-%s'" "$pkgname" "$repo" "$OPT_ARCH"
return 1